<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [setFocus](./bitburner.singularity.setfocus.md)

## Singularity.setFocus() method

Set the players focus.

**Signature:**

```typescript
setFocus(focus: boolean): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  focus | boolean |  |

**Returns:**

boolean

True if the focus was changed.

## Remarks

RAM cost: 0.1 GB \* 16/4/1

